%global _enable_debug_package 0
%global debug_package %{nil}
%global __os_install_post /usr/lib/rpm/brp-compress %{nil}
%global amd_gpu_driver_major_version 6.10.5
%global amd_gpu_driver_minor_version 60302
%global amd_gpu_driver_build_version 2109964
%global minor_release 1
# Get kernel version from kernel-devel since buildroot env may use another kernel than desired target kernel version
# Fix for Bug 43791999
%global target_kernel_version_full %(/bin/rpm -q --queryformat '%{RPMTAG_VERSION}-%{RPMTAG_RELEASE}' $(/bin/rpm -q --whatprovides kernel-headers))
%global target_azurelinux_build_kernel_version %(/bin/rpm -q --queryformat '%{RPMTAG_VERSION}' $(/bin/rpm -q --whatprovides kernel-headers))
%global target_kernel_release %(/bin/rpm -q --queryformat '%{RPMTAG_RELEASE}' $(/bin/rpm -q --whatprovides kernel-headers) | /bin/cut -d . -f 1)
autoreq: no

Name:           amdgpu
Version:        %{amd_gpu_driver_major_version}.%{amd_gpu_driver_minor_version}_%{amd_gpu_driver_build_version}
Release:        %{minor_release}_%{target_azurelinux_build_kernel_version}.%{target_kernel_release}%{?dist}
Summary:        Drivers for AMD GPUs
Group:          System Environment/Kernel
License:        GPL AND MIT
Url:            https://repo.radeon.com/
Vendor:         Microsoft Corporation
Distribution:   Azure Linux
ExclusiveArch:  x86_64

Source0:        amdgpu-dkms-%{amd_gpu_driver_major_version}.%{amd_gpu_driver_minor_version}-%{amd_gpu_driver_build_version}%{?dist}.noarch.rpm
Source1:        LICENSE.PTR

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  kernel-devel = %{target_kernel_version_full}
BuildRequires:  kernel-headers = %{target_kernel_version_full}
BuildRequires:  kernel-drivers-gpu = %{target_kernel_version_full}
BuildRequires:  binutils
BuildRequires:  systemd
BuildRequires:  kmod
BuildRequires:  mlnx-ofa_kernel-devel
BuildRequires:  mlnx-ofa_kernel
BuildRequires:  mlnx-ofa_kernel-modules
BuildRequires:  mlnx-ofa_kernel-source

Requires:       kernel = %{target_kernel_version_full}
Requires:       kernel-drivers-gpu = %{target_kernel_version_full}
Requires:       amdgpu-firmware >= %{version}
Requires:       kmod
Requires:       mlnx-ofa_kernel
Requires:       mlnx-ofa_kernel-modules

Provides:       amdgpu-dkms = %{version}

%description
Drivers for AMD GPUs

%prep
mkdir amdgpu-build
rpm2cpio %{SOURCE0} | cpio -idmv -D amdgpu-build
cp %{SOURCE1} .

%build
pushd amdgpu-build/usr/src/amdgpu-%{amd_gpu_driver_major_version}-%{amd_gpu_driver_build_version}%{?dist}
amd/dkms/pre-build.sh
make -C %{_libdir}/modules/%{target_kernel_version_full}/build TTM_NAME="amdttm" SCHED_NAME="amd-sched" M=$PWD
popd

%install
pushd amdgpu-build/usr/src/amdgpu-%{amd_gpu_driver_major_version}-%{amd_gpu_driver_build_version}%{?dist}
make -C %{_libdir}/modules/%{target_kernel_version_full}/build M=$PWD INSTALL_MOD_PATH=%{buildroot} INSTALL_MOD_DIR=kernel/drivers/gpu/drm modules_install
popd

# Setup buildroot paths for installer to use
mkdir -p %{buildroot}/%{_sysconfdir}/modprobe.d
mkdir -p %{buildroot}/%{_sysconfdir}/udev/rules.d
mkdir -p %{buildroot}/%{_sysconfdir}/modules-load.d
mkdir -p %{buildroot}/%{_datadir}/doc/amdgpu/examples/

#install other required files from amdgpu-dkms package
install -Dp -m 0644 amdgpu-build/usr/share/dkms/modules_to_force_install/amdgpu %{buildroot}/%{_sysconfdir}/modules-load.d/amdgpu.conf
install -Dp -m 0644 amdgpu-build/etc/udev/rules.d/70-amdgpu.rules %{buildroot}/%{_sysconfdir}/udev/rules.d/70-amdgpu.rules
install -Dp -m 0644 amdgpu-build/etc/modprobe.d/blacklist-radeon.conf %{buildroot}/%{_sysconfdir}/modprobe.d/blacklist-radeon.conf
install -Dp -m 0644 amdgpu-build/usr/share/doc/amdgpu-dkms/examples/wattman-example-script %{buildroot}/%{_datadir}/doc/amdgpu/examples/wattman-example-script

ls -la %{buildroot}
ls -la %{buildroot}/lib/

%post
if [ $1 -ge 1 ]; then # 1 : This package is being installed or reinstalled
  /sbin/depmod %{target_kernel_version_full}
  /sbin/modprobe amdgpu
fi # 1 : closed
# END of post

%postun
/sbin/depmod %{target_kernel_version_full}

%files
%attr(0755,root,root)
/lib/*
%{_sysconfdir}
%{_datadir}
%license LICENSE.PTR

%changelog
* Thu Feb 13 2025 Suresh Babu Chalamalasetty <schalam@microsoft.com> - 6.10.5.60302_2109964-1
- Upgrade AMD GPU OOT modules to 6.10.5.60302_2109964 version.

* Fri Jan 24 2025 Gary Swalling <gaswal@microsoft.com> - 6.8.5.60202_2078359-6
- Restore MOFED dependencies to enable InfiniBand

* Thu Jan 23 2025 Gary Swalling <gaswal@microsoft.com> - 6.8.5.60202_2078359-5
- Defer compression until repackaging in amdgpu-signed.spec
- Remove MOFED dependencies to unblock amdgpu release

* Mon Jan 13 2025 Suresh Babu Chalamalasetty <schalam@microsoft.com> - 6.8.5.60202_2078359-4
- Build AMD GPU modules with MOFED support.

* Thu Jan 09 2025 Gary Swalling <gaswal@microsoft.com> - 6.8.5.60202_2078359-3
- Update release number to match amdgpu-signed.spec

* Thu Jan 02 2025 Gary Swalling <gaswal@microsoft.com> - 6.8.5.60202_2078359-2
- Redacted original source URL to comply with licensing agreements
- Clarify license and explicit LICENSE.PTR file

* Fri Nov 22 2024 Suresh Babu Chalamalasetty <schalam@microsoft.com> - 6.8.5.60202_2078359-1
- Upgrade version to 6.8.5.60202_2078359.

* Mon Aug 19 2024 Suresh Babu Chalamalasetty <schalam@microsoft.com> - 6.8.5.0-1
- Initial Azure Linux Spec
- License verified
